
"use client";


import ServicesItems from "@/components/shared/best-selling-carousel";
import { ContentLines } from "@/components/shared/content-lines";
import { Locale } from "@/i18n/routing";
import { useBasicInfo } from "@/servers/data/use-basicinfo";
import { useService } from "@/servers/data/use-service";
import { useLocale, useTranslations } from "next-intl";


export default function BestSelling({ withContent = true }: { withContent?: boolean }) {
	const t = useTranslations();
	const { texts } = useBasicInfo();
	const { services } = useService(3);

	const locale = useLocale() as Locale;


	return (
		services?.length > 0 &&
		<section className="relative overflow-hidden py-4">
			<div className="mx-4 lg:mx-24">
				<div className="container relative mx-auto rounded-xl bg-[#565656] py-4 shadow-lg backdrop-blur-sm lg:px-16">
					<div className="mb-8 items-center justify-between px-2 lg:px-8">
						{/* Content */}
						<div className="flex flex-col items-center justify-center space-y-6 text-center">
							{withContent && <ContentLines title={t("Our Services")} />}
							<h2 className="text-2xl font-semibold leading-6 text-custom-background-light md:text-[40px] md:font-normal md:leading-[48px]">
								{texts?.our_services_section_title?.[locale]}
							</h2>
							<p className="mx-auto max-w-3xl text-base text-custom-background-light md:text-lg">
								{texts?.our_services_section_description?.[locale]}
							</p>
						</div>
					</div>

					<ServicesItems services={services} />
				</div>
			</div>
		</section>
	);
}
